Bug 127335 - cerberus - USB stack overflow in 2.6.7-1.471.smp ?
cerberus - USB stack overflow in 2.6.7-1.471.smp ?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-06 14:48 EDT by Rik van Riel
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2004-07-06 14:48:49 EDT
Description of problem:
<1>Unable to handle kernel pagin4 printing eip:
0f853264
*pde = 00003001
Oops: 0002 [#5]
SMP
Modules linked in: nfsd exportfs nfs lockd ipv6 parport_pc lp parport
autofs4 dCPU:    0
EIP:    0060:[<0f853264>]    Not tainted
EFLAGS: 00010046   (2.6.7-1.471smp)
EIP is at qh_completions+0x227/0x2f1 [ehci_hcd]
eax: 00100100   ebx: 0d6ef180   ecx: 0d6ee33c   edx: 00200200
esi: 00001d00   edi: 0d6ee300   ebp: 04f38b44   esp: 023fdf44
ds: 007b   es: 007b   ss: 0068
Process bzip2 (pid: 9018, threadinfo=023fd000 task=034b6cd0)
Stack: 04f38b4c 01222048 00000000 00000005 00000000 0d6ee39c 0d6ee420
00000000
       00000000 0db9c678 0c3d8d70 03196d20 0d6ef1e4 00000000 0d6ef180
0db9c678
       0f853df4 00000000 00000000 0db9c678 00000000 0f855d50 023fdfc4
0f85649b
Call Trace:
Stack pointer is garbage, not printing trace
Code: 89 50 04 89 02 c7 41 04 00 02 20 00 c7 47 3c 00 01 10 00 89
 <0>Kernel panic: Fatal exception in interrupt
In interrupt handler - not syncing

Version-Release number of selected component (if applicable):

2.6.7-1.471smp

Note that this bug was present in earlier 2.6 kernels, too...

How reproducible:

Run cerberus ;)
Comment 1 Pete Zaitcev 2004-08-26 17:27:54 EDT
Rik, how is USB involved in Cerberus in this case?
E.g. did you attach any disks or is this just a keyboard?
Comment 2 Rik van Riel 2004-08-26 20:25:52 EDT
I was running the disk IO stress test to a drive on usb storage, in an
enclosure similar to the one I sent you.
Comment 3 Dave Jones 2004-11-27 17:33:32 EST
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?
Comment 4 Dave Jones 2005-04-16 01:34:52 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.